Page MenuHomePhabricator

Deploy Ceph Nautilus on Buster
Closed, ResolvedPublic

Description

Using OS packages and puppet deploy Ceph Nautilus on Debian Buster.

Details

Related Gerrit Patches:
operations/puppet : productionopenstack: change cloudvirt1022 to ceph based virt role
operations/puppet : productionopenstack: add ceph rbd support for nova-compute
operations/puppet : productionceph: add rbd secret to libvirt keystore
operations/puppet : productionceph: disable log output on virsh define
operations/puppet : productionceph: disable show_diff on keyring files
operations/puppet : productionceph: add libvirt uuid and keydata
operations/puppet : productionceph: fix rbd client keyring format
operations/puppet : productionceph: add libvirt rbd configuration
operations/puppet : productionopenstack: add cluster to virt_ceph hieradata
operations/puppet : productionceph: add rbd client support
operations/puppet : productionceph: update firewall rules for peers and clients
operations/puppet : productionceph: add ceph object store role to cloudcephosd servers
operations/puppet : productionceph: require service account before package install
operations/puppet : productionceph: update mon ferm rules and manage ceph service account
operations/puppet : productionceph: add ceph monitor role to cloudcephmon servers
operations/puppet : productionceph: initial monitor and mgr daemon modules

Event Timeline

JHedden created this task.Dec 5 2019, 3:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 3:06 PM

Package import task T239917

Change 556017 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: initial monitor and mgr daemon modules

https://gerrit.wikimedia.org/r/556017

Change 556017 merged by Jhedden:
[operations/puppet@production] ceph: initial monitor and mgr daemon modules

https://gerrit.wikimedia.org/r/556017

Change 556247 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add ceph monitor role to cloudcephmon servers

https://gerrit.wikimedia.org/r/556247

Change 556247 merged by Jhedden:
[operations/puppet@production] ceph: add ceph monitor role to cloudcephmon servers

https://gerrit.wikimedia.org/r/556247

Change 556260 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: update mon ferm rules and manage ceph service account

https://gerrit.wikimedia.org/r/556260

Change 556260 merged by Jhedden:
[operations/puppet@production] ceph: update mon ferm rules and manage ceph service account

https://gerrit.wikimedia.org/r/556260

Change 556274 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: require service account before package install

https://gerrit.wikimedia.org/r/556274

Change 556274 merged by Jhedden:
[operations/puppet@production] ceph: require service account before package install

https://gerrit.wikimedia.org/r/556274

Change 556279 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add ceph object store role to cloudcephosd servers

https://gerrit.wikimedia.org/r/556279

Change 556279 merged by Jhedden:
[operations/puppet@production] ceph: add ceph object store role to cloudcephosd servers

https://gerrit.wikimedia.org/r/556279

Change 556454 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: update firewall rules for peers and clients

https://gerrit.wikimedia.org/r/556454

Change 556454 merged by Jhedden:
[operations/puppet@production] ceph: update firewall rules for peers and clients

https://gerrit.wikimedia.org/r/556454

Mentioned in SAL (#wikimedia-cloud) [2019-12-11T21:00:57Z] <jeh> schedule icinga downtime until Dec 20th 2019 on cloudvirt1022 for ceph testing T239918

Change 556488 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add rbd client support

https://gerrit.wikimedia.org/r/556488

Change 556495 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: change cloudvirt1022 to ceph based virt role

https://gerrit.wikimedia.org/r/556495

Change 556488 merged by Jhedden:
[operations/puppet@production] ceph: add rbd client support

https://gerrit.wikimedia.org/r/556488

Change 556742 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: add cluster to virt_ceph hieradata

https://gerrit.wikimedia.org/r/556742

Change 556742 merged by Jhedden:
[operations/puppet@production] openstack: add cluster to virt_ceph hieradata

https://gerrit.wikimedia.org/r/556742

Change 556495 merged by Jhedden:
[operations/puppet@production] openstack: change cloudvirt1022 to ceph based virt role

https://gerrit.wikimedia.org/r/556495

Change 557023 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add libvirt rbd configuration

https://gerrit.wikimedia.org/r/557023

Change 557023 merged by Jhedden:
[operations/puppet@production] ceph: add libvirt rbd configuration

https://gerrit.wikimedia.org/r/557023

Change 557036 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: fix rbd client keyring format

https://gerrit.wikimedia.org/r/557036

Change 557036 merged by Jhedden:
[operations/puppet@production] ceph: fix rbd client keyring format

https://gerrit.wikimedia.org/r/557036

Change 557064 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add libvirt uuid and keydata

https://gerrit.wikimedia.org/r/557064

Change 557064 merged by Jhedden:
[operations/puppet@production] ceph: add libvirt uuid and keydata

https://gerrit.wikimedia.org/r/557064

Change 557067 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: disable show_diff on keyring files

https://gerrit.wikimedia.org/r/557067

Change 557067 merged by Jhedden:
[operations/puppet@production] ceph: disable show_diff on keyring files

https://gerrit.wikimedia.org/r/557067

Change 557070 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: disable log output on virsh define

https://gerrit.wikimedia.org/r/557070

Change 557070 merged by Jhedden:
[operations/puppet@production] ceph: disable log output on virsh define

https://gerrit.wikimedia.org/r/557070

Change 557086 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] openstack: add ceph rbd support for nova-compute

https://gerrit.wikimedia.org/r/557086

Change 557092 had a related patch set uploaded (by Jhedden; owner: Jhedden):
[operations/puppet@production] ceph: add rbd secret to libvirt keystore

https://gerrit.wikimedia.org/r/557092

Change 557092 merged by Jhedden:
[operations/puppet@production] ceph: add rbd secret to libvirt keystore

https://gerrit.wikimedia.org/r/557092

JHedden closed this task as Resolved.Dec 17 2019, 3:22 PM
JHedden moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 557086 merged by Jhedden:
[operations/puppet@production] openstack: add ceph rbd support for nova-compute

https://gerrit.wikimedia.org/r/557086